org.eclipse.actf.model.dom.odf.base

## Interface DrawingObjectBaseElement

All Superinterfaces:
  Element, Node, ODFElement

All Known Subinterfaces:
  AreaCircleElement, AreaPolygonElement, AreaRectangleElement, CaptionElement, CircleElement, ConnectorElement, ControlElement, CustomShapeElement, DrawingObjectElement, EllipseElement, EmbedDrawingObjectElement, FrameElement, GElement, ImageElement, ImageMapAreaElement, ImageMapElement, LineElement, MeasureElement, ObjectElement, ObjectOleElement, PageThumbnailElement, PathElement, PolygonElement, PolylineElement, RectElement, RegularPolygonElement, SceneElement, TextBoxElement

    public interface DrawingObjectBaseElement
    extends ODFElement

All graphics ODF elements should implement this interface.

### Field Summary

### Fields inherited from interface org.w3c.dom.Node

`ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_POSITION_CONTAINED_BY, DOCUMENT_POSITION_CONTAINS, DOCUMENT_POSITION_DISCONNECTED, DOCUMENT_POSITION_FOLLOWING, DOCUMENT_POSITION_IMPLEMENTATION_SPECIFIC, DOCUMENT_POSITION_PRECEDING, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

### Method Summary

Methods
`ODFElement` `getLongDescElement()` Return long description element <svg:desc> element for ODF later than 1.0 For ODF 1.0, this function always returns null
`ODFElement` `getLongDescElement(double version)` Return long description element <svg:desc> element for ODF later than 1.0 For ODF 1.0, this function always returns null
`ODFElement` `getShortDescElement()` Return short description element <svg:desc> element for ODF 1.0 <svg:title> element for ODF later than 1.0
`ODFElement` `getShortDescElement(double version)` Return short description element <svg:desc> element for ODF 1.0 <svg:title> element for ODF later than 1.0
`DescElement` `getSVGDescElement()` Return <svg:desc> element
`TitleElement` `getSVGTitleElement()` Return <svg:title> element

### Methods inherited from interface org.w3c.dom.Element

`getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getElementsByTagName, getElementsByTagNameNS, getSchemaTypeInfo, getTagName, hasAttribute, hasAttributeNS, removeAttribute, removeAttributeNode, removeAttributeNS, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS, setIdAttribute, setIdAttributeNode, setIdAttributeNS`

### Methods inherited from interface org.w3c.dom.Node

`appendChild, cloneNode, compareDocumentPosition, getAttributes, getBaseURI, getChildNodes, getFeature, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, getTextContent, getUserData, hasAttributes, hasChildNodes, insertBefore, isDefaultNamespace, isEqualNode, isSameNode, isSupported, lookupNamespaceURI, lookupPrefix, normalize, removeChild, replaceChild, setNodeValue, setPrefix, setTextContent, setUserData`

### Method Detail

#### getSVGTitleElement

    TitleElement getSVGTitleElement()

Return <svg:title> element

Returns:
  TitleElement

#### getSVGDescElement

    DescElement getSVGDescElement()

Return <svg:desc> element

Returns:
  DescElement

#### getShortDescElement

    ODFElement getShortDescElement()

Return short description element <svg:desc> element for ODF 1.0 <svg:title> element for ODF later than 1.0

Returns:
  ODFElement

#### getLongDescElement

    ODFElement getLongDescElement()

Return long description element <svg:desc> element for ODF later than 1.0 For ODF 1.0, this function always returns null

Returns:
  ODFElement

#### getShortDescElement

    ODFElement getShortDescElement(double version)

Return short description element <svg:desc> element for ODF 1.0 <svg:title> element for ODF later than 1.0

Parameters:
  `version` - version of ODF
Returns:
  ODFElement

#### getLongDescElement

    ODFElement getLongDescElement(double version)

Return long description element <svg:desc> element for ODF later than 1.0 For ODF 1.0, this function always returns null

Parameters:
  `version` - version of ODF
Returns:
  ODFElement